const Vec3 = @import("vec3.zig").Vec3;
const Point3 = @import("vec3.zig").Point3;

pub const Ray = struct {
    origin: Point3,
    direction: Vec3,

    pub fn at(t: f32) Point3 {
        return origin.add(direction.mul(t));
    }
};
